﻿using Dundas.BI;
using Dundas.BI.Configuration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SlackSample
{
        internal static class SlackApplicationConfiguration
        {
            #region Internal Methods

            /// <summary>
            /// Registers the application configuration settings for the slack extension.
            /// </summary>
            internal static void RegisterSettings()
            {
                IAppConfigService appConfigService =
                    Engine.Current.GetService<IAppConfigService>();

                AppSettingProperties appSettingsProperties =
                    new AppSettingProperties(
                        SlackExtensionProviderSettingIds.SlackUserIdId,
                        "SlackUserId",
                        SlackExtensionPackageInfo.ModuleId,
                        typeof(string)
                        );
                appSettingsProperties.CategoryName = "Slack";
                appSettingsProperties.Description = "Slack User ID";

                appSettingsProperties.DefaultValue = string.Empty;
                appConfigService.RegisterSetting(appSettingsProperties);

                appSettingsProperties =
                    new AppSettingProperties(
                        SlackExtensionProviderSettingIds.SlackTeamIdId,
                        "SlackTeamId",
                        SlackExtensionPackageInfo.ModuleId,
                        typeof(string)
                        );
                appSettingsProperties.CategoryName = "Slack";
                appSettingsProperties.Description = "Slack Team ID";

                appSettingsProperties.DefaultValue = string.Empty;
                appConfigService.RegisterSetting(appSettingsProperties);

                appSettingsProperties =
                    new AppSettingProperties(
                        SlackExtensionProviderSettingIds.SlackPasswordId,
                        "SlackPasswordId",
                        SlackExtensionPackageInfo.ModuleId,
                        typeof(string)
                        );
                appSettingsProperties.CategoryName = "Slack";
                appSettingsProperties.Description = "Slack Password";
                appSettingsProperties.IsPassword = true;
                appSettingsProperties.IsEncrypted = true;
                appSettingsProperties.DefaultValue = string.Empty;
                appConfigService.RegisterSetting(appSettingsProperties);
            }

            #endregion Internal Methods
        }
}
