﻿
// Dundas BI Sample Code
// 2018 Dundas Data Visualization Inc.


#region Header

// The sole owner of this code is Dundas Data Visualization Inc.
// Copyright (c) 2015 Dundas Data Visualization Inc.
// All rights reserved.

#endregion Header

using Dundas.BI;
using Dundas.BI.Configuration;
using Dundas.BI.Data.DataRetrieval;
using Dundas.BI.Export;
using Dundas.BI.Extensibility;

using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace SlackSample
{
	/// <summary>
	/// This class represents the extension package info for the Slack Sample. 
	/// </summary>
	public class SlackExtensionPackageInfo : ExtensionPackageInfo
	{
		#region Static Fields

		internal static Guid ModuleId = new Guid("676eb344-c76b-438e-a85f-05891a6f016e");

		#endregion Static Fields

		#region Public Properties

		/// <summary>
		/// Gets the name of the extension package author.
		/// </summary>
		public override string Author
		{
			get { return "Dundas Data Visualization Sample Author"; }
		}

		/// <summary>
		/// Gets the copyright text associated with the extension package.
		/// </summary>
		public override string Copyright
		{
			get { return "Dundas Data Visualization, Inc."; }
		}

        /// <summary>
        /// Gets the localized display name of the extension package.
        /// </summary>
        public override string DisplayName
		{
			get { return "Slack Sample"; }
		}

        /// <summary>
        /// Gets the unique identifier of the extension package.
        /// </summary>
        public override Guid Id
		{
			get { return ModuleId; }
		}

		public override string Name
		{
			get { return "Slack Sample"; }
		}

		/// <summary>
		/// Gets the version of the extension package.
		/// </summary>
		public override Version Version
		{
			get { return new Version(0, 0, 1);  }
		}

		#endregion Public Properties

		#region Public Methods

		/// <summary>
		/// Called after the extension package is loaded during engine startup.
		/// </summary>
		public override void OnLoaded()
		{
            SlackApplicationConfiguration.RegisterSettings();
		}

		#endregion Public Methods
	}
}